# List subtasks

Returns the subtasks for the matching project assignment.

Endpoint: GET /projects/{project_id}/assignments/{assignment_id}/subtasks
Version: v1
Security: AuthToken

## Header parameters:

  - `Content-Type` (string, required)
    Enum: "application/json"

## Path parameters:

  - `project_id` (integer, required)
    Unique identifier for the resource instance.
    Example: 1234567

  - `assignment_id` (integer, required)
    Unique identifier for the resource instance.
    Example: 889

## Query parameters:

  - `per_page` (integer)
    The maximum number of items to show per response page.
    Example: 100

  - `page` (integer)
    The response page to return.
    Example: 2

## Response 200 fields (application/json):

  - `paging` (object, required)

  - `paging.per_page` (integer)
    The maximum number of items to show per response page.
    Example: 100

  - `paging.page` (integer)
    The current response page number.
    Example: 1

  - `paging.previous` (string,null)
    If you're on the first page, this value is null; otherwise the value is the path and query parameters to get the previous page of items.
    Example: "/api/v1/users?per_page=1000&page=1"

  - `paging.self` (string)
    The path and query parameters to get the current page of items.
    Example: "/api/v1/users?per_page=1000&page=2"

  - `paging.next` (string,null)
    If there are more items, this value is the path and query parameters to get the next page of items; otherwise, it's null.
    Example: "/api/v1/users?per_page=1000&page=3"

  - `paging.count` (integer,null)
    The total number of items in all the pages.

  - `data` (array, required)

  - `data.id` (integer)
    The unique identifier for the subtask.
    Example: 6789012345

  - `data.assignment_id` (integer)
    The ID of the assignment to which this subtask belongs.
    Example: 5612

  - `data.assignable_id` (integer)
    The ID of the project, phase, or leave type to which the the assignment applies.
    Example: 1234

  - `data.description` (string)
    Identifies the subtask.
    Example: "Assess risks"

  - `data.completed` (boolean)
    This is true if the subtask is done; otherwise, it's false.

  - `data.updated_at` (string)
    The time of the last update.
    Example: "2025-08-27T12:00:00Z"

  - `data.created_at` (string)
    The time of creation.
    Example: "2025-08-27T12:00:00Z"

  - `data.updated_by` (integer)
    The ID of the user who last updated this subtask.
    Example: 1234567


